Bug 1119148 - Review Request: perl-Daemon-Control - Create init scripts in Perl
Summary: Review Request: perl-Daemon-Control - Create init scripts in Perl
Keywords:
Status: CLOSED DUPLICATE of bug 1205667
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:57 UTC by Christopher Meng
Modified: 2015-03-25 12:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 12:44:57 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-14 06:57:57 UTC
Spec URL: http://us-la.cicku.me/perl-Daemon-Control.spec
SRPM URL: http://us-la.cicku.me/perl-Daemon-Control-0.001006-1.fc22.src.rpm
Description: Daemon::Control provides a library for creating init scripts in perl. Your perl script just needs to set the accessors for what and how you want
something to run and the library takes care of the rest.
Fedora Account System Username: cicku

Comment 1 Jitka Plesnikova 2014-07-21 11:38:42 UTC
License is ok
URL and Source0 are ok
Build-requires are ok
Summary and Description are ok

Package builds in F22 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7171134

$ rpm -qp --provides perl-Daemon-Control-0.001006-1.fc22.noarch.rpm | sort | uniq -c
      1 perl(Daemon::Control) = 0.001006
      1 perl-Daemon-Control = 0.001006-1.fc22
Binary provides ok

$ rpm -qp --requires perl-Daemon-Control-0.001006-1.fc22.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008001
      1 perl(:MODULE_COMPAT_5.18.2)
      2 perl(Cwd)
      1 perl(File::Path)
      1 perl(File::Path) >= 2.08
      2 perl(File::Spec)
      1 perl(POSIX)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

FIX: remove from Requires perl(Cwd), perl(File::Spec)
TODO: Filter unversioned perl(File::Path) from run-requires

$ rpmlint ./perl-Daemon-Control*
perl-Daemon-Control.noarch: W: spelling-error Summary(en_US) init -> unit, int, nit
perl-Daemon-Control.noarch: W: spelling-error %description -l en_US init -> unit, int, nit
perl-Daemon-Control.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
perl-Daemon-Control.src: W: spelling-error Summary(en_US) init -> unit, int, nit
perl-Daemon-Control.src: W: spelling-error %description -l en_US init -> unit, int, nit
perl-Daemon-Control.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
2 packages and 1 specfiles checked; 0 errors, 6 warnings.
Rpmlint is ok

Otherwise package looks good.

Please correct all `FIX' items, consider fixing `TODO' items, and provide new spec file.
Package NOT approved.

Comment 2 Jitka Plesnikova 2014-09-16 07:40:20 UTC
Do you have any updates?

Comment 3 Christopher Meng 2014-09-17 05:28:15 UTC
I will update this after October because I didn't take the disk storing specs to the environment now......

Sorry.

Comment 4 Jitka Plesnikova 2014-11-11 11:22:47 UTC
Any updates?

Btw. you can get the spec from link provided in Description.

Comment 5 Jitka Plesnikova 2015-02-26 09:19:15 UTC
Hi Christopher,

As per policy, unless you can respond in a week, I'll close this as a stalled review.

Comment 6 Jitka Plesnikova 2015-03-25 12:44:57 UTC

*** This bug has been marked as a duplicate of bug 1205667 ***


Note You need to log in before you can comment on or make changes to this bug.